using Microsoft.VisualStudio.Package;
using Microsoft.VisualStudio.TextManager.Interop;

namespace at.jku.ssw.Coco.VSPlugin
{
  internal class CocoSource : Source
  {
    public CocoSource(LanguageService service, IVsTextLines textLines,
        Colorizer colorizer) : base(service, textLines, colorizer)
    {
    }

    public override CommentInfo GetCommentFormat()
    {
      CommentInfo info = new CommentInfo();
      info.LineStart = "//";
      info.BlockStart = "/*";
      info.BlockEnd = "*/";
      info.UseLineComments = true;
      return info;
    }
  }
}